X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Google Maps error notifications due to wrong API Key

igi
Posted

I use Firefox 13 with Ubuntu 12.04 in two different computer, a desktop and a netbook. In general I have same extensions and preferences in both PC.

In only one of them I cannot display Google maps anymore (the embedded objects in non-Google site), getting this error popoup (ITA): "Questo sito web richiede una chiave API di Google Maps differente. È possibile generare una nuova chiave all'indirizzo http://code.google.com/apis/maps/signup.html .".

I cannot understand - after googling for a while - if it is a matter of Firefox settings or other OS-related issue (e.g. the java machine).

Modified by igi

Chosen solution

I found out that my problem was related to the RefControl extension. Disabling it while browsing pages with maps, by clicking its icon, makes it work.

Read this answer in context 0

Additional System Details

Sites Affected

http://www.e-coop.it/StoreLocator/

Application

  • User Agent: Mozilla/5.0 (X11; Linux i686; rv:7.0.1) Gecko/20100101 Firefox/7.0.1

More Information

Chosen Solution

I found out that my problem was related to the RefControl extension. Disabling it while browsing pages with maps, by clicking its icon, makes it work.

Modified by igi